package com.ktg.framework.web.service;

import com.ktg.system.service.IIscsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.HashSet;
import java.util.Set;

/**
 * 用户权限处理
 *
 * @author guoruan
 */
@Component
public class IscsService
{
    @Autowired
    private IIscsService iIscsService;

    /**
     * 获取工卡数据
     *
     * @param userId 用户信息
     * @return 获取工卡数据
     */
    public Set<String> getUserCardList(Long userId)
    {
        Set<String> perms = new HashSet<>();
        // 获取工卡数据
        if (userId != null && userId > 0) {
            perms.addAll(iIscsService.getUserCardList(userId));
        }
        return perms;
    }
}
